using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;

namespace digioz
{
    public class Friends
    {
        private int ciID;
        private int ciUserID;
        private bool cbApproved;
        private int ciProfileID;
        private string csProfileUsername;
        private string csProfileEmail;
        private string csProfileAvatar;

        public Friends()
        {}

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public int UserID
        {
            get { return ciUserID; }
            set { ciUserID = value; }
        }

        public bool Approved
        {
            get { return cbApproved; }
            set { cbApproved = value; }
        }

        public int ProfileID
        {
            get { return ciProfileID; }
            set { ciProfileID = value; }
        }

        public string ProfileUsername
        {
            get { return csProfileUsername; }
            set { csProfileUsername = value; }
        }

        public string ProfileEmail
        {
            get { return csProfileEmail; }
            set { csProfileEmail = value; }
        }

        public string ProfileAvatar
        {
            get { return csProfileAvatar; }
            set { csProfileAvatar = value; }
        }
    }

    public class FriendsList : BindingList<Friends>
    {
        public FriendsList()
        { }
    }

}
